part of 'live_photo_bloc.dart';

@immutable
sealed class LivePhotoEvent {
  const LivePhotoEvent();
}

class InitLivePhotoBloc extends LivePhotoEvent {
  const InitLivePhotoBloc();
}

class AddNewPhotoEvent extends LivePhotoEvent {
  const AddNewPhotoEvent({required this.newImagePath});

  final String newImagePath;
}

class DeleteCurrentPhotoEvent extends LivePhotoEvent {
  const DeleteCurrentPhotoEvent();
}
